Subject: [CCAMP] WG adoption poll on draft-zheng-ccamp-client-topo-yang-10

From: Daniele Ceccarelli <[email-masked]>
Date: Tue, 9 Feb 2021 12:28:42 +0000

CCAMP,

All the IPR declarations regarding draft-zheng-ccamp-client-topo-yang-10have been collected, this starts the polling for its adoption by CCAMP.

The poll will last 2 weeks and will end on Tuesday February 23rd.

Please send email to the list indicating "yes/support" or "no/do not support" and a motivation for  your reply, mandatory for the "not support" and nice to have for the "support".

Thanks,

Daniele & Fatai

---

From: Aihua Guo <[email-masked]>
Date: Tue, 9 Feb 2021 23:08:30 -0500

Yes/support. This model provides essential means to retrieving client
topologies over multi-layer transport networks through the NBI.

Thanks,
Aihua, co-author

On Tue, Feb 9, 2021 at 7:28 AM Daniele Ceccarelli <daniele.ceccarelli=
[email-masked]> wrote:

> CCAMP,
>
>
>
> All the IPR declarations regarding
> draft-zheng-ccamp-client-topo-yang-10have been collected, this starts the
> polling for its adoption by CCAMP.
>
>
>
> Please send email to the list indicating "yes/support" or "no/do not
> support" and a motivation for  your reply, mandatory for the "not support"
> and nice to have for the "support".
>
>
>
> Thanks,
>
>
>
> Daniele & Fatai
>
>
> _______________________________________________
> CCAMP mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/ccamp
>

---

From: Italo Busi <[email-masked]>
Date: Wed, 10 Feb 2021 08:38:42 +0000

yes/support (as co-author)

This draft is normatively referenced by draft-ietf-ccamp-transport-nbi-app-statement

Italo

From: Daniele Ceccarelli [mailto:[email-masked]]
Sent: martedì 9 febbraio 2021 13:29
To: CCAMP <[email-masked]>
Subject: [CCAMP] WG adoption poll on draft-zheng-ccamp-client-topo-yang-10

CCAMP,

Thanks,

Daniele & Fatai

---

From: "Belotti, Sergio (Nokia - IT/Vimercate)" <[email-masked]>
Date: Wed, 10 Feb 2021 10:59:29 +0000

Hi Daniele, Fatai, all,
Yes/support WG adoption (as contributor).

On the other hand,
I have a basic comment that can be addressed after adoption.
The draft is talking about generic client topology over transport network but in fact is addressing Ethernet with TE attributes only.

I think the name of the draft is misleading , why do not name draft like eth-client-topo, specifying the reference layer technology. In the introduction the draft is saying "This document defines a data model of all client-layer Topology", but this is not the case , since Ethernet only is described.

I think a better description of the use-case depicted in the draft should be worked out after adoption.

Thanks

Sergio

From: CCAMP <[email-masked]> On Behalf Of Daniele Ceccarelli
Sent: Tuesday, February 9, 2021 1:29 PM
To: CCAMP <[email-masked]>
Subject: [CCAMP] WG adoption poll on draft-zheng-ccamp-client-topo-yang-10

CCAMP,

Thanks,

Daniele & Fatai

---

From: tom petch <[email-masked]>
Date: Wed, 10 Feb 2021 11:20:14 +0000

From: CCAMP <[email-masked]> on behalf of Daniele Ceccarelli <daniele.ceccarelli=[email-masked]>
Sent: 09 February 2021 12:28

CCAMP,

<tp>
This will be an expensive I-D to work on.

The YANG module is totally devoid of references, which has to be fixed, at least in part, at some stage and the earlier it is fixed, the less time consuming reviewing is.

s.5 says there is no open issue in this version.  The text gives the lie to this with 'open issue' in four places

there are YANG statements commented out.  The last time I saw this it was because the Author could not make the YANG work

It is another of those module that is really 100 or so independent YANG fragments in a different order to those other modules that are really 100 or so independent YANG fragments.  As was said in a recent IESG review, it is a shame we cannot go back and change the TEAS i.e. they got the underlying structure wrong:-( 

the choice of YANG prefix makes comprehension harder

Tom Petch

Thanks,

Daniele & Fatai

---

From: tom petch <[email-masked]>
Date: Wed, 10 Feb 2021 11:39:19 +0000

From: CCAMP <[email-masked]> on behalf of Belotti, Sergio (Nokia - IT/Vimercate) <[email-masked]>
Sent: 10 February 2021 10:59

Hi Daniele, Fatai, all,

On the other hand,

I think the name of the draft is misleading , why do not name draft like eth-client-topo, specifying the reference layer technology. In the introduction the draft is saying “This document defines a data model of all client-layer Topology”, but this is not the case , since Ethernet only is described.

<tp>
I think you make excellent points but think they need to be addressed before adoption.

You are saying that the Introduction is wrong which makes it possible that people will be misled as to what they are supporting the adoption of.

And changing the title makes it harder to track the history of the I-D.  I know of one case where the WG AD lost track of the past history of an I-D as a result.  The datatracker makes it possible to find previous names but you have to know that there are previous names and to go looking for them.  The time for change is before adoption

Tom Petch

Thanks

Sergio

CCAMP,

Thanks,

Daniele & Fatai

---

From: Dieter Beller <[email-masked]>
Date: Wed, 10 Feb 2021 12:59:28 +0100

Hi Daniele, Fatai, all,

+1

yes/support - I concur with Sergio's comments.

Thanks,
Dieter

On 10.02.2021 11:59, Belotti, Sergio (Nokia - IT/Vimercate) wrote:
> The draft is talking about generic client topology over transport 
> network but in fact is addressing Ethernet with TE attributes only.
>
> I think the name of the draft is misleading , why do not name draft 
> like eth-client-topo, specifying the reference layer technology. In 
> the introduction the draft is saying“This document defines a data 
> model of all client-layer Topology”, but this is not the case , since 
> Ethernet only is described.
> *From:* CCAMP <[email-masked]> *On Behalf Of * Daniele Ceccarelli
> *Sent:* Tuesday, February 9, 2021 1:29 PM
> *To:* CCAMP <[email-masked]>
> *Subject:* [CCAMP] WG adoption poll on 
> draft-zheng-ccamp-client-topo-yang-10
>
> CCAMP,
>
> draft-zheng-ccamp-client-topo-yang-10have been collected, this starts 
> the polling for its adoption by CCAMP.
>
> support" and a motivation for your reply, mandatory for the "not 
> support" and nice to have for the "support".
>
> Thanks,
>
> Daniele & Fatai
>
>

---

From: "Griseri, Enrico (Nokia - IT/Vimercate)" <[email-masked]>
Date: Wed, 10 Feb 2021 18:24:41 +0000

yes/support

Enrico

CCAMP,

Thanks,

Daniele & Fatai

---

From: Zheng Yanlei <[email-masked]>
Date: Thu, 18 Feb 2021 21:27:29 +0800

Yes/supported(as contributor).
BTW, as sergio pointed out, the name of the draft is open to further discussion.
Thanks

________________________________
B.R.
YANLEI

From: Belotti, Sergio (Nokia - IT/Vimercate)<mailto:[email-masked]>
Date: 2021-02-10 18:59
To: Daniele Ceccarelli<mailto:daniele.ceccarelli=[email-masked]>
CC: CCAMP<mailto:[email-masked]>; [email-masked]<mailto:[email-masked]>
Subject: Re: [CCAMP] WG adoption poll on draft-zheng-ccamp-client-topo-yang-10
Hi Daniele, Fatai, all,
Yes/support WG adoption (as contributor).

On the other hand,

Thanks

Sergio

CCAMP,

Thanks,

Daniele & Fatai

如果您错误接收了该邮件，请通过电子邮件立即通知我们。请回复邮件到 [email-masked]，即可以退订此邮件。我们将立即将您的信息从我们的发送目录中删除。 If you have received this email in error please notify us immediately by e-mail. Please reply to [email-masked] ,you can unsubscribe from this mail. We will immediately remove your information from send catalogue of our.

---

From: Italo Busi <[email-masked]>
Date: Thu, 18 Feb 2021 21:18:36 +0000

Sergio, Tom,

Thanks for your comments.

The scope of the document has been discussed in the past but it seems that the text in the draft has not been properly updated and it needs some clean-up.

Based on past discussion, the scope of the proposed YANG model is to address these two use cases:
    - ETH Access Links Discovery
    - ETH TE Topology Discovery

See also: https://datatracker.ietf.org/meeting/108/materials/slides-108-ccamp-2-a-yang-data-model-for-ethernet-te-topology-03

It is worth clarifying that:
- the YANG model is aligned with the scope: the network-types (also to augment the packet TE topology, as suggested by TEAS experts);
- the title of the draft (A YANG Data Model for Ethernet TE Topology) and the abstract have been fixed since the -06 revision;
- the draft name and text descriptions need to be aligned with the scope.

I agree with Sergio that these fixes can be done after WG adoption.

Italo (on behalf of co-authors)

> -----Original Message-----
> From: tom petch [mailto:[email-masked]]
> Sent: mercoledì 10 febbraio 2021 12:39
> To: Belotti, Sergio (Nokia - IT/Vimercate) <[email-masked]>; Daniele
> Ceccarelli <daniele.ceccarelli=[email-masked]>
> Cc: CCAMP <[email-masked]>; [email-masked]
> The draft is talking about generic client topology over transport network but in
> fact is addressing Ethernet with TE attributes only.
> 
> I think the name of the draft is misleading , why do not name draft like eth-
> client-topo, specifying the reference layer technology. In the introduction the
> draft is saying "This document defines a data model of all client-layer
> Topology", but this is not the case , since Ethernet only is described.
> 
> You are saying that the Introduction is wrong which makes it possible that
> people will be misled as to what they are supporting the adoption of.
> 
> And changing the title makes it harder to track the history of the I-D.  I know of
> one case where the WG AD lost track of the past history of an I-D as a result.
> The datatracker makes it possible to find previous names but you have to
> know that there are previous names and to go looking for them.  The time for
> change is before adoption
> 
> Tom Petch
> 
> 
> Thanks
> 
> Sergio
> 
> 
> 
> 
> 
> All the IPR declarations regarding draft-zheng-ccamp-client-topo-yang-10have
> been collected, this starts the polling for its adoption by CCAMP.
> 
> Please send email to the list indicating "yes/support" or "no/do not support"
> and a motivation for  your reply, mandatory for the "not support" and nice to
> have for the "support".
> 
> Thanks,
> 
> Daniele & Fatai
> 
>

---

From: Italo Busi <[email-masked]>
Date: Thu, 18 Feb 2021 21:25:05 +0000

Hi Tom,

Thanks for your useful comments:

> The YANG module is totally devoid of references, which has to be fixed, at
> least in part, at some stage and the earlier it is fixed, the less time consuming
> reviewing is.
> 

We will add references when applicable

> 'open issue' in four places

To avoid inconsistent information, we will remove section 5 and use only github to track open issues

> there are YANG statements commented out.  The last time I saw this it was
> because the Author could not make the YANG work
> 

We will review the YANG code and track these as open issues in github

> It is another of those module that is really 100 or so independent YANG
> fragments in a different order to those other modules that are really 100 or so
> independent YANG fragments.  As was said in a recent IESG review, it is a
> shame we cannot go back and change the TEAS i.e. they got the underlying
> structure wrong:-(
> 

Are you referring to the multiple augment statements to augment the TE label/bandwidth information defined in RFC8795?

They are based on the guidelines provided by section 6 of RFC8795.

> the choice of YANG prefix makes comprehension harder

There is an on-going discussion within the WG: we will align with the outcome of that discussion

> Sent: mercoledì 10 febbraio 2021 12:20
> To: Daniele Ceccarelli <daniele.ceccarelli=[email-masked]>;
> CCAMP <[email-masked]>
> From: CCAMP <[email-masked]> on behalf of Daniele Ceccarelli
> <daniele.ceccarelli=[email-masked]>
> The YANG module is totally devoid of references, which has to be fixed, at
> least in part, at some stage and the earlier it is fixed, the less time consuming
> reviewing is.
> 
> there are YANG statements commented out.  The last time I saw this it was
> because the Author could not make the YANG work
> 
> It is another of those module that is really 100 or so independent YANG
> fragments in a different order to those other modules that are really 100 or so
> independent YANG fragments.  As was said in a recent IESG review, it is a
> shame we cannot go back and change the TEAS i.e. they got the underlying
> structure wrong:-(
>

---

From: Xufeng Liu <[email-masked]>
Date: Thu, 18 Feb 2021 17:37:09 -0500

yes/support.

Thanks,
- Xufeng

---

From: Igor Bryskin <[email-masked]>
Date: Thu, 18 Feb 2021 23:04:10 +0000

Yes, support,
Thanks,
Igor

Get Outlook for Android<https://aka.ms/ghei36>

________________________________
From: CCAMP <[email-masked]> on behalf of Xufeng Liu <[email-masked]>
Sent: Thursday, February 18, 2021 5:37:09 PM
To: Daniele Ceccarelli <daniele.ceccarelli=[email-masked]>
Cc: CCAMP <[email-masked]>
Subject: Re: [CCAMP] WG adoption poll on draft-zheng-ccamp-client-topo-yang-10

yes/support.

Thanks,
- Xufeng

On Tue, Feb 9, 2021 at 7:28 AM Daniele Ceccarelli <daniele.ceccarelli=[email-masked]<mailto:[email-masked]>> wrote:

CCAMP,

Thanks,

Daniele & Fatai

_______________________________________________
CCAMP mailing list
[email-masked]<mailto:[email-masked]>
https://www.ietf.org/mailman/listinfo/ccamp

---

From: Jeff Tantsura <[email-masked]>
Date: Thu, 18 Feb 2021 18:58:26 -0800

Yes/support
> 
> On Tue, Feb 9, 2021 at 7:28 AM Daniele Ceccarelli <daniele.ceccarelli=[email-masked]> wrote:
> CCAMP,
> 
>  
>

---

From: Daniele Ceccarelli <[email-masked]>
Date: Fri, 19 Feb 2021 14:58:02 +0000

Hi Italo, all,

The name and the title of the draft can be changed during the adoption, i.e. the chairs can ask the authors to publish the draft with a different (v00) title/draft name.

Tracking will not be an issue because when publishing the new draft it will be possible to mark which draft it replaces, and we will indicate this one.

BR
Daniele  

-----Original Message-----
From: CCAMP <[email-masked]> On Behalf Of Italo Busi
Sent: den 18 februari 2021 22:19
To: 'tom petch' <[email-masked]>; Belotti, Sergio (Nokia - IT/Vimercate) <[email-masked]>; Daniele Ceccarelli <daniele.ceccarelli=[email-masked]>
Cc: CCAMP <[email-masked]>; [email-masked]
Subject: Re: [CCAMP] WG adoption poll on draft-zheng-ccamp-client-topo-yang-10

Sergio, Tom,

> To: Belotti, Sergio (Nokia - IT/Vimercate) <[email-masked]>; 
> Daniele Ceccarelli <daniele.ceccarelli=[email-masked]>
> Subject: Re: [CCAMP] WG adoption poll on 
> From: CCAMP <[email-masked]> on behalf of Belotti, Sergio 
> (Nokia -
> IT/Vimercate) <[email-masked]>
> like eth- client-topo, specifying the reference layer technology. In 
> the introduction the draft is saying "This document defines a data 
> model of all client-layer Topology", but this is not the case , since Ethernet only is described.
> 
> You are saying that the Introduction is wrong which makes it possible 
> that people will be misled as to what they are supporting the adoption of.
> 
> And changing the title makes it harder to track the history of the 
> I-D.  I know of one case where the WG AD lost track of the past history of an I-D as a result.
> The datatracker makes it possible to find previous names but you have 
> to know that there are previous names and to go looking for them.  The 
> time for change is before adoption
> 
> Tom Petch
> 
> 
> Thanks
> 
> Sergio
> 
> 
> 
> 
> 
> Subject: [CCAMP] WG adoption poll on 
> draft-zheng-ccamp-client-topo-yang-10have
> and a motivation for  your reply, mandatory for the "not support" and 
> nice to have for the "support".
> 
> Thanks,
> 
> Daniele & Fatai
> 
>